Xerces2 Implementation: Class Selector

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Class Selector

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.identity.Selector

public class Selector
extends java.lang.Object

Schema identity constraint selector.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: Selector.java 572110 2007-09-02 19:04:44Z mrglavas $
Author:
  Andy Clark, IBM

Inner Class Summary
`class` | `Selector.Matcher` Selector matcher.
`static class` | `Selector.XPath` Schema identity constraint selector XPath expression.

Field Summary
`protected IdentityConstraint` | `fIDConstraint`
`protected IdentityConstraint` | `fIdentityConstraint` Identity constraint.
`protected Selector.XPath` | `fXPath` XPath.

Constructor Summary
`Selector(Selector.XPath xpath, IdentityConstraint identityConstraint)` Constructs a selector.

Method Summary
`XPathMatcher` | `createMatcher(FieldActivator activator, int initialDepth)` Creates a selector matcher.
`IdentityConstraint` | `getIDConstraint()` Returns the identity constraint.
`XPath` | `getXPath()` Returns the selector XPath.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fXPath

    protected final Selector.XPath fXPath

  XPath.

### fIdentityConstraint

    protected final IdentityConstraint fIdentityConstraint

  Identity constraint.

### fIDConstraint

    protected IdentityConstraint fIDConstraint

Constructor Detail

### Selector

    public Selector(Selector.XPath xpath,
                    IdentityConstraint identityConstraint)

  Constructs a selector.

Method Detail

### getXPath

    public XPath getXPath()

  Returns the selector XPath.

### getIDConstraint

    public IdentityConstraint getIDConstraint()

  Returns the identity constraint.

### createMatcher

    public XPathMatcher createMatcher(FieldActivator activator,
                                      int initialDepth)

  Creates a selector matcher.
  Parameters:
    `activator` - The activator for this selector's fields.
    `initialDepth` - The depth in the document at which this matcher began its life; used in correctly handling recursive elements.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.